#ifndef GENERATED_ASN1SCC_type_H
#define GENERATED_ASN1SCC_type_H
/*
Code automatically generated by asn1scc tool
*/
#include "taste-types.h"
#include "taste-extended.h"
#include "asn1crt.h"

#ifdef  __cplusplus
extern "C" {
#endif




typedef struct {
    int nCount; 
    
    asn1SccT_Int32 arr[327680];
} asn1SccInt32Sequence;

void asn1SccInt32Sequence_Initialize(asn1SccInt32Sequence* pVal);

#define ERR_INT32SEQUENCE_ELM		37  /**/
#define ERR_INT32SEQUENCE		48  /**/
flag asn1SccInt32Sequence_IsConstraintValid(const asn1SccInt32Sequence* pVal, int* pErrCode);

#define ERR_UPER_ENCODE_INT32SEQUENCE		49  /**/
#define ERR_UPER_ENCODE_INT32SEQUENCE_ELM_2		44  /**/
#define asn1SccInt32Sequence_REQUIRED_BYTES_FOR_ENCODING       1310728 
#define asn1SccInt32Sequence_REQUIRED_BITS_FOR_ENCODING        10485824

flag asn1SccInt32Sequence_Encode(const asn1SccInt32Sequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_UPER_DECODE_INT32SEQUENCE		50  /**/
#define ERR_UPER_DECODE_INT32SEQUENCE_ELM_2		45  /**/
flag asn1SccInt32Sequence_Decode(asn1SccInt32Sequence* pVal, BitStream* pBitStrm, int* pErrCode);

#define ERR_ACN_ENCODE_INT32SEQUENCE		51  /**/
#define ERR_ACN_ENCODE_INT32SEQUENCE_ELM		40  /**/
#define asn1SccInt32Sequence_REQUIRED_BYTES_FOR_ACN_ENCODING       1310728 
#define asn1SccInt32Sequence_REQUIRED_BITS_FOR_ACN_ENCODING        10485824

flag asn1SccInt32Sequence_ACN_Encode(const asn1SccInt32Sequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_ACN_DECODE_INT32SEQUENCE		52  /**/
#define ERR_ACN_DECODE_INT32SEQUENCE_ELM		41  /**/
flag asn1SccInt32Sequence_ACN_Decode(asn1SccInt32Sequence* pVal, BitStream* pBitStrm, int* pErrCode);


typedef struct {
    int nCount; 
    
    asn1SccT_Int64 arr[327680];
} asn1SccInt64Sequence;

void asn1SccInt64Sequence_Initialize(asn1SccInt64Sequence* pVal);

#define ERR_INT64SEQUENCE_ELM		19  /**/
#define ERR_INT64SEQUENCE		30  /**/
flag asn1SccInt64Sequence_IsConstraintValid(const asn1SccInt64Sequence* pVal, int* pErrCode);

#define ERR_UPER_ENCODE_INT64SEQUENCE		31  /**/
#define ERR_UPER_ENCODE_INT64SEQUENCE_ELM_2		26  /**/
#define asn1SccInt64Sequence_REQUIRED_BYTES_FOR_ENCODING       2621448 
#define asn1SccInt64Sequence_REQUIRED_BITS_FOR_ENCODING        20971584

flag asn1SccInt64Sequence_Encode(const asn1SccInt64Sequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_UPER_DECODE_INT64SEQUENCE		32  /**/
#define ERR_UPER_DECODE_INT64SEQUENCE_ELM_2		27  /**/
flag asn1SccInt64Sequence_Decode(asn1SccInt64Sequence* pVal, BitStream* pBitStrm, int* pErrCode);

#define ERR_ACN_ENCODE_INT64SEQUENCE		33  /**/
#define ERR_ACN_ENCODE_INT64SEQUENCE_ELM		22  /**/
#define asn1SccInt64Sequence_REQUIRED_BYTES_FOR_ACN_ENCODING       2621448 
#define asn1SccInt64Sequence_REQUIRED_BITS_FOR_ACN_ENCODING        20971584

flag asn1SccInt64Sequence_ACN_Encode(const asn1SccInt64Sequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_ACN_DECODE_INT64SEQUENCE		34  /**/
#define ERR_ACN_DECODE_INT64SEQUENCE_ELM		23  /**/
flag asn1SccInt64Sequence_ACN_Decode(asn1SccInt64Sequence* pVal, BitStream* pBitStrm, int* pErrCode);


typedef struct {
    int nCount; 
    
    asn1SccT_Float arr[327680];
} asn1SccFloatSequence;

void asn1SccFloatSequence_Initialize(asn1SccFloatSequence* pVal);

#define ERR_FLOATSEQUENCE_ELM		1  /**/
#define ERR_FLOATSEQUENCE		12  /**/
flag asn1SccFloatSequence_IsConstraintValid(const asn1SccFloatSequence* pVal, int* pErrCode);

#define ERR_UPER_ENCODE_FLOATSEQUENCE		13  /**/
#define ERR_UPER_ENCODE_FLOATSEQUENCE_ELM_2		8  /**/
#define asn1SccFloatSequence_REQUIRED_BYTES_FOR_ENCODING       4259848 
#define asn1SccFloatSequence_REQUIRED_BITS_FOR_ENCODING        34078784

flag asn1SccFloatSequence_Encode(const asn1SccFloatSequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_UPER_DECODE_FLOATSEQUENCE		14  /**/
#define ERR_UPER_DECODE_FLOATSEQUENCE_ELM_2		9  /**/
flag asn1SccFloatSequence_Decode(asn1SccFloatSequence* pVal, BitStream* pBitStrm, int* pErrCode);

#define ERR_ACN_ENCODE_FLOATSEQUENCE		15  /**/
#define ERR_ACN_ENCODE_FLOATSEQUENCE_ELM		4  /**/
#define asn1SccFloatSequence_REQUIRED_BYTES_FOR_ACN_ENCODING       4259848 
#define asn1SccFloatSequence_REQUIRED_BITS_FOR_ACN_ENCODING        34078784

flag asn1SccFloatSequence_ACN_Encode(const asn1SccFloatSequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_ACN_DECODE_FLOATSEQUENCE		16  /**/
#define ERR_ACN_DECODE_FLOATSEQUENCE_ELM		5  /**/
flag asn1SccFloatSequence_ACN_Decode(asn1SccFloatSequence* pVal, BitStream* pBitStrm, int* pErrCode);


typedef struct {
    int nCount; 
    
    asn1SccT_String arr[100];
} asn1SccStringSequence;

void asn1SccStringSequence_Initialize(asn1SccStringSequence* pVal);

#define ERR_STRINGSEQUENCE_ELM		55  /**/
#define ERR_STRINGSEQUENCE		66  /**/
flag asn1SccStringSequence_IsConstraintValid(const asn1SccStringSequence* pVal, int* pErrCode);

#define ERR_UPER_ENCODE_STRINGSEQUENCE		67  /**/
#define ERR_UPER_ENCODE_STRINGSEQUENCE_ELM_2		62  /**/
#define asn1SccStringSequence_REQUIRED_BYTES_FOR_ENCODING       25714 
#define asn1SccStringSequence_REQUIRED_BITS_FOR_ENCODING        205707

flag asn1SccStringSequence_Encode(const asn1SccStringSequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_UPER_DECODE_STRINGSEQUENCE		68  /**/
#define ERR_UPER_DECODE_STRINGSEQUENCE_ELM_2		63  /**/
flag asn1SccStringSequence_Decode(asn1SccStringSequence* pVal, BitStream* pBitStrm, int* pErrCode);

#define ERR_ACN_ENCODE_STRINGSEQUENCE		69  /**/
#define ERR_ACN_ENCODE_STRINGSEQUENCE_ELM		58  /**/
#define asn1SccStringSequence_REQUIRED_BYTES_FOR_ACN_ENCODING       25714 
#define asn1SccStringSequence_REQUIRED_BITS_FOR_ACN_ENCODING        205707

flag asn1SccStringSequence_ACN_Encode(const asn1SccStringSequence* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_ACN_DECODE_STRINGSEQUENCE		70  /**/
#define ERR_ACN_DECODE_STRINGSEQUENCE_ELM		59  /**/
flag asn1SccStringSequence_ACN_Decode(asn1SccStringSequence* pVal, BitStream* pBitStrm, int* pErrCode);

extern const asn1SccT_UInt32 maxFloatSequenceLength;
extern const asn1SccT_UInt32 maxInt64SequenceLength;
extern const asn1SccT_UInt32 maxInt32SequenceLength;
extern const asn1SccT_UInt32 maxStringSequenceLength; 

/* ================= Encoding/Decoding function prototypes =================
 * These functions are placed at the end of the file to make sure all types
 * have been declared first, in case of parameterized ACN encodings
 * ========================================================================= */

 


#ifdef  __cplusplus
}

#endif

#endif
